org.apache.commons.math3.optimization

## Interface MultivariateOptimizer

All Superinterfaces:
  BaseMultivariateOptimizer<MultivariateFunction>, BaseOptimizer<PointValuePair>

All Known Implementing Classes:
  BOBYQAOptimizer, CMAESOptimizer, MultivariateMultiStartOptimizer, PowellOptimizer, SimplexOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface MultivariateOptimizer
    extends BaseMultivariateOptimizer<MultivariateFunction>

This interface represents an optimization algorithm for `scalar objective functions`.

Optimization algorithms find the input point set that either `maximize or minimize` an objective function.

Since:
  2.0
Version:
  $Id: MultivariateOptimizer.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  `MultivariateDifferentiableOptimizer`, `MultivariateDifferentiableVectorOptimizer`

### Method Summary

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`